cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/allvalueshierarchy \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/allvalueshierarchy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/allvalueshierarchy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
],
"kind": "<string>",
"nextPageToken": "<string>"
}category
Get categoryv1libraries categories allvalueshierarchy
Lists all the values recursively of a category in a library.
GET
/
category
/
v1
/
libraries
/
{libraryId}
/
categories
/
{categoryId}
/
allvalueshierarchy
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
The ID of the category
Query Parameters
The maximum number of category values to return per page. This parameter must be provided when using a 'nextPageToken'.
The token for continuing a previous list request on the next page
The security code
The G Suite domain
⌘I